Instalar Steam en Debian Wheezy sin morir en el intento

Saludos a todos. Seguramente, muchos ya estarán disfrutando de Steam para la plataforma GNU/Linux. No obstante, muchos de los que usan Debian Stable (Wheezy), están que se rompen la cabeza de tanto intentar instalar Steam.

Les mostraré como hacerlo sin tener que morir en el intento, aunque la mayoría de los resultados había sido fallidos, debido a que las dependencias que requiere se encuentran en los repos de Ubuntu, y/o no se había implementado el soporte multiarquitectura.

Para poder hacer esta hazaña, debemos hacer lo siguiente:

Instalar el soporte multiarquitectura de Debian Wheezy:

apt-get install multiarch-support

Instalar las dependencias que nos pide steam (por desgracia, de parte de Ubuntu), a través de este procedimiento:

wget http://dl.dropbox.com/u/29081229/Steam/debian_install.sh && ./debian_install.sh

Descargar el paquete de Steam a través de este procedimiento:

wget http://media.steampowered.com/client/installer/steam.deb && sudo dpkg -i steam.deb

Esperar a que actualice el cliente, iniciamos sesión y listo.

Si tienen tarjetas de vídeo como ATI/AMD o NVIDIA, sugerimos que instalen los drivers propietarios para que tenga un mejor desempeño en los juegos que descarguen de forma gratuita o que compren a través de esta plataforma.

Espero que les haya servido de utilidad para aquellas almas que se han matado buscando la forma de instalar Steam sin morir en el intento.

PD: Aquí les dejo mi pantallazo de mi Steam en mi Debian Wheezy:

Y no me despido sin antes agradecer a los usuarios de Steam, a la Wiki de Debian y al foro oficial de Debian por hacer esta hazaña posible.



Internauta de Perú que se siente seducido por el software libre y su difusión. Además de ser un entusiasta de distros de GNU/Linux estables como Slackware, Debian y/o CentOS. BOFH de eliotime.com

47 comentarios

  1.   Canales dijo

    Gracias por compartir eliotime3000. La verdad es que Steam es una pasada, muy buenos juegos corriendo de forma nativa en Linux y cada dia mas y mejor.

    Salu2!

    1.    eliotime3000 dijo

      Pues, gracias por el cumplido. Además, como no uso SUDO, se me olvidó ponerlo (gracias a los editores por añadirle el sudo y las “&”), y si no ejecuta el archivo .sh, pueden hacer:

      sh ./debian_installer.sh

      Eso es todo.

  2.   iFuSiiOnzZ dijo

    Hace tiempo que sacaron la versión de 64bits, ahora hace falta que las desarrolladoras saquen juegos para dicha versión.

    1.    eliotime3000 dijo

      En eso concuerdo contigo. Además, como yo uso Debian Wheezy de 32 bits, no debería ser un problema.

      Si bien el cliente Steam está ya para 64 bits, todavía depende del paquete multiarch de Debian para poder ejecutar juegos que todavía no están para 64 bits.

      De cualquier modo, estaré probando juegos como DOTA 2 y Team Fortress (aún no tengo plata para poder pagar juegos como Half-Life).

      1.    edo dijo

        El secreto esta en aprovechar las promociones, yo compre la saga en una de esas. Ademas en steam esta el humble bundle

  3.   Erick dijo

    Amigo ese tu comentario: (por desgracia, de parte de Ubuntu), no se suena algo despectivo, ya que gracias a Ubuntu hay Steam en Linux, ya que gracias a Ubuntu se volvio GNU/Linux popular y viable para Valve pensar en incorporar a Linux en su mercado de juegos, solo trato de hacer una critica contructiva, nada mas, cada quien tiene su opinion y eso lo respeto, Saludos

    1.    eliotime3000 dijo

      Ya sé, pero me refería en cuanto a las dependencias que te pide (jockey-common). En la rama Testing (Jessie) y Unstable (Sid) no te piden esas dependencias y ni siquiera se encuentran en los repos principales de esas ramas de Debian.

    2.    pandev92 dijo

      Naa, el único motivo de steam en Linux, es la voluntad de preparar una consola propia basada en Linux.

  4.   edo dijo

    que tal funciona el kernel 3.2? es que actualmente uso el mas nuevo, pero por motivo de la U y por compatibilidad con el driver privativo legacy tengo pensado pasarme a eOS que usa ese kernel

    1.    eliotime3000 dijo

      Ahora, me anda fluído y sin problema alguno (y eso que estoy usando el vídeo integrado de Intel con el MESA actualizado).

  5.   OtakuLogan dijo

    No sé si esta forma tiene alguna ventaja respecto a la que yo hice, cambiar el repositorio principal a jessie, apt-get update, apt-get install steam:i386 y después volver a cambiar el repositorio principal a wheezy.

    1.    eliotime3000 dijo

      No afecta em nada en sí, a menos que quieras sacrificar algo de estabilidad para instalar una versión 100% adaptada para Debian.

      1.    OtakuLogan dijo

        OK, gracias por la aclaración.

      2.    jorgejhms dijo

        Jessie es bastante estable en realidad.

    2.    Canales dijo

      ¿Sería mejor instalarlo como dice OtakuLogan o como propone eliotime3000?

      1.    eliotime3000 dijo

        Si te funciona, lo recomiendas. Así de simple.

  6.   root dijo

    Tu crees que es genial cambiar la versión de libc6 así como así?? eso no funciona en todo los casos..!

    1.    eliotime3000 dijo

      Pero eso depende de las dependencias que te genere a la hora de instalar el paquete .deb oficial.

  7.   DanielC dijo

    Aaaay mis ojos con el tema por default de Gnome y las tipografías de Debian!!!

    1.    eliotime3000 dijo

      Ya me he acostumbrado tanto a GNOME que lo uso diario. A ver si me salgo de él por un momento para respirar aires nuevos.

  8.   juanmnz117 dijo

    :O solo por steam me decidí a cambiar a kubuntu, creo que va siendo hora de regresar a debian o crunchbang 😀

  9.   eliotime3000 dijo

    Eso te pasa por no creer en Debian GNU/Linux.

    Ahora, estoy contento con mi Steam y espero a que me den rápido mi confirmación para jugar DoTA 2.

    1.    juanmnz117 dijo

      yo ya la tengo 😀 pero eso fue lo malo de intentar instalarlo cuando estaba en beta y haberme dado por vencido muy rápido, prueba champions of regnum, también es un buen juego, es tipo wow.

  10.   James_Che dijo

    Cuando intento instalar el .deb me sale esto :/
    This package is uninstallable
    Dependency is not satisfiable: libc6 (>= 2.15)

    1.    Canales dijo

      Creo que el script lo que hace es instalar una versión más reciente de libc6 de los repositorios de ubuntu, así que tienes dos opciones: o usas el script para hacerlo, o instalas el paquete desde los repositorios de debian testing.

      Salu2

      1.    James_Che dijo

        Gracias, pero yo usé el script y no funciona :/

        1.    eliotime3000 dijo

          Si no te salepon primero “sh”, después pones espacio yescribes el nombre de script y le das enter.

          1.    James_Che dijo

            sale es como error de dependencias, pero no veo como arreglarlo.

          2.    eliotime3000 dijo

            Inténtalo ejecutando el script como ROOT. Yo usualmente no uso SUDO porque me fastidia eso de los permisos.

  11.   cristian dijo

    Buena información. Igualmente yo lo eh instalado con un script y la verdad que va de pelos.
    https://github.com/GhostSquad57/Steam-Installer-for-Wheezy

    1.    eliotime3000 dijo

      Buen script, pero no sabía cómo usar ese script de GitHub, así que me fui a consultar a los foros de Steam para ver la solución más tangible.

  12.   Pelukron dijo

    Tengo un problema todo va bien hasta la parte que me dice

    sudo dpkg -i steam.deb

    es donde me aparece esto .

    root@NV55S09u:/home/diego-m# sudo dpkg -i steam.deb
    (Leyendo la base de datos … 128696 ficheros o directorios instalados actualmente.)
    Preparando para reemplazar steam-launcher 1.0.0.42 (usando steam.deb) …
    Desempaquetando el reemplazo de steam-launcher …
    dpkg: problemas de dependencias impiden la configuraci��n de steam-launcher:
    steam-launcher depende de libc6 (>= 2.15); sin embargo:
    La versi��n de `libc6:amd64′ en el sistema es 2.13-38.

    dpkg: error al procesar steam-launcher (–install):
    problemas de dependencias – se deja sin configurar
    Procesando disparadores para man-db …
    Procesando disparadores para hicolor-icon-theme …
    Procesando disparadores para desktop-file-utils …
    Procesando disparadores para gnome-menus …
    Se encontraron errores al procesar:
    steam-launcher
    root@NV55S09u:/home/diego-m#

    y al momento que intento poner esa dependencia me da lo mimso la de libc6:amd64 y libc6

    root@NV55S09u:/home/diego-m# apt-get install libc6:amd64
    Leyendo lista de paquetes… Hecho
    Creando ��rbol de dependencias
    Leyendo la informaci��n de estado… Hecho
    libc6 ya est�� en su versi��n m��s reciente.
    Tal vez quiera ejecutar ��apt-get -f install�� para corregirlo:
    Los siguientes paquetes tienen dependencias incumplidas:
    steam-launcher : Depende: libc6 (>= 2.15) pero 2.13-38 va a ser instalado
    E: Dependencias incumplidas. Intente ��apt-get -f install�� sin paquetes (o especifique una soluci��n).
    root@NV55S09u:/home/diego-m# apt-get install libc6
    Leyendo lista de paquetes… Hecho
    Creando ��rbol de dependencias
    Leyendo la informaci��n de estado… Hecho
    libc6 ya est�� en su versi��n m��s reciente.
    Tal vez quiera ejecutar ��apt-get -f install�� para corregirlo:
    Los siguientes paquetes tienen dependencias incumplidas:
    steam-launcher : Depende: libc6 (>= 2.15) pero 2.13-38 va a ser instalado
    E: Dependencias incumplidas. Intente ��apt-get -f install�� sin paquetes (o especifique una soluci��n).

    Espero no sea muy obvio mi problema saludos y gracias

  13.   Virtuskr dijo

    Recomiendo avisar que deben poner

    chmod +x ./debian_install.sh

  14.   WishMario dijo

    Alguien me puede ayudar cual es mi problema

    root@debian:/home/wishmario/Descargas# sudo dpkg -i steam.deb
    (Leyendo la base de datos … 161869 ficheros o directorios instalados actualmente.)
    Preparando para reemplazar steam-launcher 1.0.0.42 (usando steam.deb) …
    Desempaquetando el reemplazo de steam-launcher …
    dpkg: problemas de dependencias impiden la configuración de steam-launcher:
    steam-launcher depende de libc6 (>= 2.15); sin embargo:
    La versión de `libc6:amd64′ en el sistema es 2.13-38.

    dpkg: error al procesar steam-launcher (–install):
    problemas de dependencias – se deja sin configurar
    Procesando disparadores para man-db …
    Procesando disparadores para hicolor-icon-theme …
    Procesando disparadores para desktop-file-utils …
    Procesando disparadores para gnome-menus …
    Se encontraron errores al procesar:
    steam-launcher

  15.   Javier Madrid dijo

    Esta entrada debe ser actualizada o eliminada. Ya no funciona.

  16.   durbes dijo

    tengo problemas al istalar steam

    dpkg: error al procesar steam-launcher (–install):
    problemas de dependencias – se deja sin configurar
    Procesando disparadores para desktop-file-utils …
    Procesando disparadores para gnome-menus …
    Procesando disparadores para hicolor-icon-theme …
    Procesando disparadores para man-db …
    Se encontraron errores al procesar:
    steam-launcher

  17.   Esteban Laguerre dijo

    No me sirvio para nada U.U

  18.   Esteban Laguerre dijo

    Hola , no lo vayan a tomar comom spam pero he encontrado la solucion definitiva ,si no les sirvio lo de arriba, vayan a este video http://youtu.be/V5LkpR179WQ y en la descripcion usen el segundo link , no le presten atencion al video , luego le dan a una esquina (despues de presionar el liink)donde dice descargar zip , en ese archivo . zip se encontrara un archivo .deb, lo intalan con el instalador de software y listo

  19.   Syrzechs dijo

    No sé, he intentado esto, pero igual me sigue fallando,

    pues, esto me lo dice todo el tiempo; bash: ./debian_install.sh: Permiso denegado

    y esto: Se encontraron errores al procesar:
    steam-launcher
    al parecer me da error por problemas de dependencias….

  20.   juangmuriel dijo

    Genial!!, tengo a mi niño de 9 años, que está hecho un jugón y la mitad de veces que entra al windows para algún juego tiene problemas, por eso le tengo instalado un ubuntu y ahora quiero migrar el pc solo a debian por estabilidad, meto steam y que use software libre y juegos de pago de la plataforma.

  21.   panita dijo

    Hola he intentado el script
    con el cambio shh

    wget http://dl.dropbox.com/u/29081229/Steam/debian_install.sh sh ./debian_installer.sh

    y me sale todo el tiempo esto:

    Reintentando.

    –2014-06-09 12:01:58– (intento: 9) http://sh/
    Conectando con sh (sh)[193.223.78.211]:80… falló: Expiró el tiempo de conexión.

    quiero probar jugar dota en debian whezzy porq en windows me falla y me desconecta!

    1.    panita dijo

      http://articulos.softonic.com/instalar-steam-en-linux
      Bueno yo solucione con este link,
      instale PlayOnLinux. y listo

  22.   MetalheadB93 dijo

    no funciona en debian wheezy 64bits
    errir: no se puede satisfacer la dependencia: libc6 (>+ 2.15)

  23.   Andrés dijo

    Despues de actualizar, me salta un error como este:
    Fatal error: Failed to load steamui.so

    1.    ice dijo

      estoy en la misma, sigo sin poder instalar steam en debian sid

      1.    ice dijo

        lo solucioné… instalando las librerias i386. Funciona perfecto ahora.

  24.   Daniel dijo

    no me pudo instalar me aparecio esto que hago bash: ./debian_install.sh: Permiso denegado

Deja un comentario

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *

*

*

  1. Responsable de los datos: Miguel Ángel Gatón
  2. Finalidad de los datos: Controlar el SPAM, gestión de comentarios.
  3. Legitimación: Tu consentimiento
  4. Comunicación de los datos: No se comunicarán los datos a terceros salvo por obligación legal.
  5. Almacenamiento de los datos: Base de datos alojada en Occentus Networks (UE)
  6. Derechos: En cualquier momento puedes limitar, recuperar y borrar tu información.